import { Slot } from "@radix-ui/react-slot"

import { itemVariants } from "./variants"

import type { ItemProps } from "./item"

export default function Item({ columns, order, rows, ...props }: ItemProps) {
  const classNames = itemVariants({
    columns,
    order,
    rows,
  })
  return <Slot {...props} className={classNames} />
}
